# Maintainer: Jimmy Hon <honyuenkwun@gmail.com>

Name:           ap6611s-firmware
Version:        1.0
Release:        1%{?dist}
Summary:        Firmware for the AP6611s in the Orange Pi 5 Max/Ultra
License:        Redistributable, no modification permitted
URL:            https://github.com/orangepi-xunlong/firmware
ExclusiveArch:  aarch64

Source0:        https://raw.githubusercontent.com/orangepi-xunlong/firmware/refs/heads/master/SYN43711A0.hcd

BuildArch:      noarch
BuildRequires:  coreutils

%description
This package provides firmware files for the AP6611s wireless chip
found in the Orange Pi 5 Max and Orange Pi 5 Ultra single board computers.

%prep
# No prep needed as we're downloading a single file

%build
# No build needed for firmware

%install
mkdir -p %{buildroot}/usr/lib/firmware/brcm
cp %{SOURCE0} %{buildroot}/usr/lib/firmware/brcm/
ln -s SYN43711A0.hcd %{buildroot}/usr/lib/firmware/brcm/BCM.xunlong,orangepi-5-max.hcd
ln -s SYN43711A0.hcd %{buildroot}/usr/lib/firmware/brcm/BCM.xunlong,orangepi-5-ultra.hcd

%files
/usr/lib/firmware/brcm/SYN43711A0.hcd
/usr/lib/firmware/brcm/BCM.xunlong,orangepi-5-max.hcd
/usr/lib/firmware/brcm/BCM.xunlong,orangepi-5-ultra.hcd

%changelog
* Thu Jun 19 2025 Jimmy Hon <honyuenkwun@gmail.com> - 1.0-1
- Initial RPM package for AP6611s firmware
